## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary:            Advanced IP routing and network device configuration tools
Name:               iproute
Version:            6.14.0
Release:            %autorelease
URL:                https://kernel.org/pub/linux/utils/net/%{name}2/
Source0:            https://kernel.org/pub/linux/utils/net/%{name}2/%{name}2-%{version}.tar.xz
Source1:            rt_dsfield.deprecated

License:            GPL-2.0-or-later AND NIST-PD
BuildRequires:      bison
BuildRequires:      elfutils-libelf-devel
BuildRequires:      flex
BuildRequires:      gcc
BuildRequires:      iptables-devel >= 1.4.5
BuildRequires:      libbpf-devel
BuildRequires:      libcap-devel
BuildRequires:      libmnl-devel
BuildRequires:      libselinux-devel
BuildRequires:      make
BuildRequires:      pkgconfig
%if ! 0%{?_module_build}
%if 0%{?fedora}
BuildRequires:      linux-atm-libs-devel
%endif
%endif
Requires:           libbpf
Requires:           psmisc

# Compat symlinks for Requires in other packages.
Provides:           /sbin/ip
%if "%{_sbindir}" == "%{_bindir}"
# We rely on filesystem to create the symlink for us.
Requires:           filesystem(unmerged-sbin-symlinks)
Provides:           /usr/sbin/ip
Provides:           /usr/sbin/ss
%endif

%description
The iproute package contains networking utilities (ip and rtmon, for example)
which are designed to use the advanced networking capabilities of the Linux
kernel.

%package tc
Summary:            Linux Traffic Control utility
License:            GPL-2.0-or-later
Requires:           %{name}%{?_isa} = %{version}-%{release}
Provides:           /sbin/tc

%description tc
The Traffic Control utility manages queueing disciplines, their classes and
attached filters and actions. It is the standard tool to configure QoS in
Linux.

%if ! 0%{?_module_build}
%package doc
Summary:            Documentation for iproute2 utilities with examples
License:            GPL-2.0-or-later
Requires:           %{name} = %{version}-%{release}

%description doc
The iproute documentation contains howtos and examples of settings.
%endif

%package devel
Summary:            iproute development files
License:            GPL-2.0-or-later
Requires:           %{name} = %{version}-%{release}
Provides:           iproute-static = %{version}-%{release}

%description devel
The libnetlink static library.

%prep
%autosetup -p1 -n %{name}2-%{version}

%build
%configure --color auto
echo -e "\nPREFIX=%{_prefix}\nSBINDIR=%{_sbindir}" >> config.mk
%make_build

%install
%make_install

echo '.so man8/tc-cbq.8' > %{buildroot}%{_mandir}/man8/cbq.8

# libnetlink
install -D -m644 include/libnetlink.h %{buildroot}%{_includedir}/libnetlink.h
install -D -m644 lib/libnetlink.a %{buildroot}%{_libdir}/libnetlink.a

# drop these files, iproute-doc package extracts files directly from _builddir
rm -rf '%{buildroot}%{_docdir}'

# append deprecated values to rt_dsfield for compatibility reasons
%if 0%{?rhel}
cat %{SOURCE1} >>%{buildroot}%{_datadir}/iproute2/rt_dsfield
%endif

%files
%dir %{_datadir}/iproute2
%license COPYING
%doc README README.devel
%{_mandir}/man7/*
%exclude %{_mandir}/man7/tc-*
%{_mandir}/man8/*
%exclude %{_mandir}/man8/tc*
%exclude %{_mandir}/man8/cbq*
%exclude %{_mandir}/man8/arpd*
%attr(644,root,root) %config(noreplace) %{_datadir}/iproute2/*
%{_sbindir}/*
%exclude %{_sbindir}/tc
%exclude %{_sbindir}/routel
%{_datadir}/bash-completion/completions/devlink

%files tc
%license COPYING
%{_mandir}/man7/tc-*
%{_mandir}/man8/tc*
%{_mandir}/man8/cbq*
%dir %{_libdir}/tc/
%{_libdir}/tc/*
%{_sbindir}/tc
%{_datadir}/bash-completion/completions/tc

%if ! 0%{?_module_build}
%files doc
%license COPYING
%doc examples
%endif

%files devel
%license COPYING
%{_mandir}/man3/*
%{_libdir}/libnetlink.a
%{_includedir}/libnetlink.h
%{_includedir}/iproute2/bpf_elf.h

%changelog
## START: Generated by rpmautospec
* Tue May 27 2025 Andrea Claudi <aclaudi@redhat.com> - 6.14.0-1
- iproute-6.14.0-1.el9

* Wed Apr 02 2025 Andrea Claudi <aclaudi@redhat.com> - 6.11.0-5
- image-mode: double test duration

* Mon Mar 31 2025 Andrea Claudi <aclaudi@redhat.com> - 6.11.0-4
- Add image-mode testing

* Mon Mar 31 2025 Andrea Claudi <aclaudi@redhat.com> - 6.11.0-3
- Add tmt test plan

* Mon Mar 31 2025 Andrea Claudi <aclaudi@redhat.com> - 6.11.0-2
- Fix gating yaml

* Thu Dec 12 2024 Andrea Claudi <aclaudi@redhat.com> - 6.11.0-1
- iproute-6.11.0-1.el9

* Tue Jan 23 2024 Andrea Claudi <aclaudi@redhat.com> - 6.7.0-2
- iproute-6.7.0-2.el9

* Fri Jan 19 2024 Andrea Claudi <aclaudi@redhat.com> - 6.7.0-1
- iproute-6.7.0-1.el9

* Tue Jun 06 2023 Andrea Claudi <aclaudi@redhat.com> - 6.2.0-5
- iproute-6.2.0-5.el9

* Mon Jun 05 2023 Andrea Claudi <aclaudi@redhat.com> - 6.2.0-4
- iproute-6.2.0-4.el9

* Thu Jun 01 2023 Wen Liang <wenliang@redhat.com> - 6.2.0-3
- iproute-6.2.0-3.el9

* Wed May 03 2023 Andrea Claudi <aclaudi@redhat.com> - 6.2.0-2
- iproute-6.2.0-2.el9

* Thu Apr 27 2023 Andrea Claudi <aclaudi@redhat.com> - 6.2.0-1
- iproute-6.2.0-1.el9

* Sat Jan 28 2023 Andrea Claudi <aclaudi@redhat.com> - 6.1.0-1
- iproute-6.1.0-1.el9

* Fri Jan 06 2023 Viktor Malik <vmalik@redhat.com> - 6.0.0-2
- Rebuild for libbpf 1.0.0

* Thu Oct 06 2022 Andrea Claudi <aclaudi@redhat.com> - 6.0.0-1
- iproute-6.0.0-1.el9

* Wed Jun 15 2022 Andrea Claudi <aclaudi@redhat.com> - 5.18.0-1
- iproute-5.18.0-1.el9

* Thu Nov 25 2021 Andrea Claudi <aclaudi@redhat.com> - 5.15.0-2
- iproute-5.15.0-2.el9

* Wed Nov 24 2021 Andrea Claudi <aclaudi@redhat.com> - 5.15.0-1
- iproute-5.15.0-1.el9

* Wed Aug 18 2021 Andrea Claudi <aclaudi@redhat.com> - 5.13.0-6
- iproute-5.13.0-5.el9

* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 5.13.0-5
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags

* Fri Jul 16 2021 Andrea Claudi <aclaudi@redhat.com> - 5.13.0-4
- iproute-5.13.0-3.el9

* Fri Jul 16 2021 Aleksandra Fedorova <afedorova@redhat.com> - 5.13.0-3
- Add RHEL gating configuration

* Thu Jul 15 2021 Andrea Claudi <aclaudi@redhat.com> - 5.13.0-2
- iproute-5.13.0-2.el9

* Thu Jul 01 2021 Andrea Claudi <aclaudi@redhat.com> - 5.13.0-1
- Rebase package on top of iproute2-5.13.0

* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com> - 5.10.0-3
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Thu Feb 04 2021 DistroBaker <osci-list@redhat.com> - 5.10.0-2
- Merged update from upstream sources

* Mon Dec 21 2020 DistroBaker <osci-list@redhat.com> - 5.10.0-1
- Merged update from upstream sources

* Wed Dec 16 2020 DistroBaker <osci-list@redhat.com> - 5.9.0-2
- Merged update from upstream sources

* Fri Dec 04 2020 DistroBaker <osci-list@redhat.com> - 5.9.0-1
- Merged update from upstream sources

* Thu Oct 15 2020 Petr Šabata <contyk@redhat.com> - 5.8.0-1
- RHEL 9.0.0 Alpha bootstrap
## END: Generated by rpmautospec
